Bug 172939 - irq 11: nobody cared
irq 11: nobody cared
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-11 09:46 EST by Neal Becker
Modified: 2015-01-04 17:23 EST (History)
3 users (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-18 14:08:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (17.33 KB, text/plain)
2005-11-12 11:28 EST, Neal Becker
no flags Details

  None (edit)
Description Neal Becker 2005-11-11 09:46:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.2 (like Gecko)

Description of problem:
Did not happen on previous kernel versions (AFAIK) 
 
Nov 11 08:50:24 nbecker2 kernel: irq 11: nobody cared (try booting with the  
"irqpoll" option)  
Nov 11 08:50:24 nbecker2 kernel:   
Nov 11 08:50:25 nbecker2 kernel: Call Trace: <IRQ>  
<ffffffff80154df0>{__report_bad_irq+48} <ffffffff8015503e>{note_interrupt+510}  
Nov 11 08:50:25 nbecker2 kernel:        <ffffffff8029ed92>{usb_hcd_irq+30}  
<ffffffff80154959>{__do_IRQ+174}  
Nov 11 08:50:25 nbecker2 kernel:        <ffffffff80110b75>{do_IRQ+47}  
<ffffffff8010eca2>{ret_from_intr+0}  
Nov 11 08:50:25 nbecker2 kernel:         <EOI>  
<ffffffff803326de>{_spin_unlock_irqrestore+11}  
Nov 11 08:50:25 nbecker2 kernel:         
<ffffffff801f10ed>{__down_read_trylock+62}  
<ffffffff803338e0>{do_page_fault+832}  
Nov 11 08:50:25 nbecker2 kernel:        <ffffffff80166bc7>{vma_link+115}  
<ffffffff80168c84>{do_brk+701}  
Nov 11 08:50:25 nbecker2 kernel:        <ffffffff8010f059>{error_exit+0}   
Nov 11 08:50:25 nbecker2 kernel: handlers:  
Nov 11 08:50:25 nbecker2 kernel: [<ffffffff8029ed74>] (usb_hcd_irq+0x0/0x46)  
Nov 11 08:50:26 nbecker2 kernel: Disabling IRQ #11  
  

Version-Release number of selected component (if applicable):
2.6.14-1.1637_FC4

How reproducible:
Didn't try

Steps to Reproduce:
1.boot  
2. 
3. 
   

Additional info:
Comment 1 Dave Jones 2005-11-12 01:40:45 EST
what modules do you have loaded ?
Comment 2 Neal Becker 2005-11-12 11:24:59 EST
/sbin/lsmod 
Module                  Size  Used by 
nvidia               4393228  14  
parport_pc             32941  1  
lp                     16385  0  
parport                44749  2 parport_pc,lp 
driverloader          277376  0  
autofs4                24393  2  
eeprom                  9425  0  
tun                    14017  0  
sunrpc                170617  1  
pcmcia                 47089  4  
video                  20041  0  
button                  8545  0  
battery                11593  0  
ac                      6345  0  
ipv6                  293057  12  
ohci1394               38689  0  
ieee1394              374617  1 ohci1394 
yenta_socket           29261  4  
rsrc_nonstatic         14657  1 yenta_socket 
pcmcia_core            48757  3 pcmcia,yenta_socket,rsrc_nonstatic 
ohci_hcd               25313  0  
ehci_hcd               38733  0  
i2c_nforce2             9153  0  
i2c_core               27329  2 eeprom,i2c_nforce2 
snd_intel8x0m          21541  0  
shpchp                100297  0  
snd_intel8x0           39393  0  
snd_ac97_codec        114053  2 snd_intel8x0m,snd_intel8x0 
snd_ac97_bus            3393  1 snd_ac97_codec 
snd_seq_dummy           4805  0  
snd_seq_oss            39077  0  
snd_seq_midi_event      9537  1 snd_seq_oss 
snd_seq                65049  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event 
snd_seq_device         11345  3 snd_seq_dummy,snd_seq_oss,snd_seq 
snd_pcm_oss            60785  0  
snd_mixer_oss          20161  1 snd_pcm_oss 
snd_pcm               107081  4 
snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_pcm_oss 
snd_timer              29513  2 snd_seq,snd_pcm 
snd                    70049  10 
snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer 
soundcore              12257  1 snd 
snd_page_alloc         13137  3 snd_intel8x0m,snd_intel8x0,snd_pcm 
8139too                31553  0  
mii                     6593  1 8139too 
dm_snapshot            18321  0  
dm_zero                 2753  0  
dm_mirror              24497  0  
ext3                  146385  2  
jbd                    66793  1 ext3 
dm_mod                 66449  6 dm_snapshot,dm_zero,dm_mirror 
sata_nv                11461  0  
libata                 54865  1 sata_nv 
sd_mod                 20673  0  
scsi_mod              163481  2 libata,sd_mod 
 
Before you say it's nvidia's fault, consider that the error message shows up 
long before nvidia module is loaded. 
Comment 3 Neal Becker 2005-11-12 11:28:18 EST
Created attachment 120984 [details]
dmesg
Comment 4 Dave Jones 2005-11-12 18:39:00 EST
is it repeatable without the nvidia module loaded ?
Comment 5 Neal Becker 2005-11-13 18:03:24 EST
Yes, it happens after disabling nvidia. 
 
It is also random. 
 
I rebooted once after disabling nvidia without any problem.  Then I tried 
again, and got an even worse result.  This time, 2 interrupts were disabled 
and the boot failed. 
 
I have booted every kernel that's been released for Fedora for the last year 
on this machine, and never saw this problem before. 
 
 
Nov 13 17:17:41 nbecker2 kernel: irq 11: nobody cared (try booting with the 
"irqpoll" option) 
Nov 13 17:17:41 nbecker2 kernel: 
Nov 13 17:17:41 nbecker2 kernel: Call Trace: <IRQ> 
<ffffffff80154df0>{__report_bad_irq+48} <ffffffff80155 
03e>{note_interrupt+510} 
Nov 13 17:17:41 nbecker2 kernel:        <ffffffff8029ed92>{usb_hcd_irq+30} 
<ffffffff80154959>{__do_IRQ+17 
4} 
Nov 13 17:17:41 nbecker2 kernel:        <ffffffff80110b75>{do_IRQ+47} 
<ffffffff8010eca2>{ret_from_intr+0} 
Nov 13 17:17:41 nbecker2 kernel:         <EOI> 
Nov 13 17:17:41 nbecker2 kernel: handlers: 
Nov 13 17:17:41 nbecker2 kernel: [<ffffffff8029ed74>] (usb_hcd_irq+0x0/0x46) 
Nov 13 17:17:41 nbecker2 kernel: Disabling IRQ #11 
Nov 13 17:17:41 nbecker2 kernel: PCI: Enabling device 0000:00:02.1 (0004 -> 
0006) 
Nov 13 17:17:41 nbecker2 kernel: ACPI: PCI Interrupt 0000:00:02.1[P]: no GSI - 
using IRQ 10 
Nov 13 17:17:41 nbecker2 kernel: ohci_hcd 0000:00:02.1: OHCI Host Controller 
Nov 13 17:17:41 nbecker2 kernel: ohci_hcd 0000:00:02.1: new USB bus 
registered, assigned bus number 3 
Nov 13 17:17:41 nbecker2 kernel: ohci_hcd 0000:00:02.1: irq 10, io mem 
0xe0001000 
Nov 13 17:17:41 nbecker2 kernel: irq 10: nobody cared (try booting with the 
"irqpoll" option) 
Nov 13 17:17:41 nbecker2 kernel: 
Nov 13 17:17:41 nbecker2 kernel: Call Trace: <IRQ> 
<ffffffff80154df0>{__report_bad_irq+48} <ffffffff80155 
03e>{note_interrupt+510} 
Nov 13 17:17:41 nbecker2 kernel:        
<ffffffff8013aac5>{run_timer_softirq+520} <ffffffff80154959>{__do 
_IRQ+174} 
Nov 13 17:17:41 nbecker2 kernel:        <ffffffff80110b75>{do_IRQ+47} 
<ffffffff8010eca2>{ret_from_intr+0} 
Nov 13 17:17:41 nbecker2 kernel:         <EOI> 
Nov 13 17:17:41 nbecker2 kernel: handlers: 
Nov 13 17:17:41 nbecker2 kernel: [<ffffffff8029ed74>] (usb_hcd_irq+0x0/0x46) 
Nov 13 17:17:41 nbecker2 kernel: Disabling IRQ #10 
 
Comment 6 Dave Jones 2006-02-03 01:56:03 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 7 David Juran 2006-02-10 17:11:28 EST
Hello.
I'm still seeing this bug with kernel-smp-2.6.15-1.1831_FC4.

Feb 10 01:58:38 mail kernel: irq 11: nobody cared (try booting with the
"irqpoll" option)
Feb 10 01:58:38 mail kernel:  [<c0149285>] __report_bad_irq+0x24/0x7f    
[<c02952ad>] usb_hcd_irq+0x28/0x52
Feb 10 01:58:38 mail kernel:  [<c0149360>] note_interrupt+0x62/0xb2    
[<c0148d16>] __do_IRQ+0xdd/0xe7
Feb 10 01:58:38 mail kernel:  [<c010625e>] do_IRQ+0x4e/0x86
Feb 10 01:58:38 mail kernel:  =======================
Feb 10 01:58:38 mail kernel:  [<c0119d8c>] smp_apic_timer_interrupt+0xc1/0xca  
  [<c0104a7a>] common_interrupt+0x1a/0x20
Feb 10 01:58:38 mail kernel:  [<c010201a>] default_idle+0x0/0x55    
[<c0102046>] default_idle+0x2c/0x55
Feb 10 01:58:38 mail kernel:  [<c01020ef>] cpu_idle+0x6c/0xa7     [<c0401885>]
start_kernel+0x175/0x1cc
Feb 10 01:58:38 mail kernel:  [<c0401309>] unknown_bootoption+0x0/0x1b6
Feb 10 01:58:38 mail kernel: handlers:
Feb 10 01:58:38 mail kernel: [<c0295285>] (usb_hcd_irq+0x0/0x52)
Feb 10 01:58:38 mail kernel: [<c0295285>] (usb_hcd_irq+0x0/0x52)
Feb 10 01:58:38 mail kernel: Disabling IRQ #11


Booting with 'acpi=noirq' makes this go away.

/David
Comment 8 Dave Jones 2006-09-16 22:20:36 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 9 David Juran 2006-09-18 14:08:14 EDT
I haven't seen this problem lately.

Note You need to log in before you can comment on or make changes to this bug.